module Auditing
  module Handlers
    class Logs < SubZero::Service::Handler

      def create
        Log.create params
        reply :ok
      end

      def index
        reply_with Log.all
      end

    end
  end
end

__END__

#params is the message payload desserialized from messagepack

#request_id is accessible through here

#reply(verb, payload = nil)

#reply_with(content) => same verb
#reply_with(verb, content) => other verb
(both serialize content to msgpack)

#logger might be very useful
