module Auditing
  module Handlers
    class Status < SubZero::Service::Handler

      def show
        reply :working
      end

      def count
        reply_with Log.count
      end

    end
  end
end

__END__

#params is the message payload desserialized from messagepack

#request_id is accessible through here

#reply(verb, payload = nil)

#reply_with(content) => same verb
#reply_with(verb, content) => other verb
(both serialize content to msgpack)

#logger might be very useful
