require 'rubygems'

ENV['BUNDLE_GEMFILE'] ||= File.expand_path('../Gemfile', __FILE__)

require 'bundler/setup' if File.exists?(ENV['BUNDLE_GEMFILE'])

module Auditing
  extend SubZero::Service

  sid :auditing

  verbs log:              'logs#create',
        retrieve:         'logs#index',
        status:           'status#show',
        'status/count' => 'status#count'

end

__END__

verbs targets classes will try to be required / constantized from auditing/ or auditing/handlers as they are declared
