module SubZero
  module Service
    class Handler

      attr_reader :message

      delegate :rid, :verb, :payload, to: :message

      alias :request_id :rid
      alias :params     :payload

      def initialize message
        @message = message
      end

      # verb, payload = nil
      # payload (same verb with :OK)
      def reply *args
      end

      def reply_with payload
        reply verb, payload
      end

      def error code, message
      end

    end
  end
end
